/*
 * libgsmat: An implementation of GSM 07.07
 *
 * Written by mark.liu <mark.liu@openvox.cn>
 *
 * Copyright (C) 2009-2010 OpenVox
 * All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
 *
 */
 
#ifndef _EM200_MODEM_H
#define _EM200_MODEM_H

#include <sys/time.h>

extern void em200_send_pin(struct gsm_modul *gsm, char *pin);

extern int em200_answer(struct gsm_modul *gsm);
extern int em200_hangup(struct gsm_modul *gsm);
extern int em200_dial(struct gsm_modul *gsm, int callerpres, char *called);

extern int em200_sms_send_text(struct gsm_modul *gsm, char *destination, char *msg);

extern int em200_request_status(struct gsm_modul *gsm);

extern int em200_send(struct gsm_modul *gsm, char *data);
extern void em200_start(struct gsm_modul *gsm);
extern void em200_restart(void *data);

extern gsm_event *em200_receive(struct gsm_modul *gsm, char *data, int len);

#endif
