/*
 * libgsmat: An implementation of GSM 07.07
 *
 * Written by mark.liu <mark.liu@openvox.cn>
 *
 * Copyright (C) 2009-2010 OpenVox
 * All Rights Reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
 *
 */
 
#ifndef _SIM340DZ_MODEM_H
#define _SIM340DZ_MODEM_H

#include <sys/time.h>


extern void sim340dz_init(struct gsm_modul *gsm);
extern void sim340dz_send_pin(struct gsm_modul *gsm, char *pin);
extern int sim340dz_answer(struct gsm_modul *gsm);
extern int sim340dz_hangup(struct gsm_modul *gsm);
extern gsm_event *sim340dz_receive(struct gsm_modul *gsm, char *data, int len);
extern int sim340dz_dial(struct gsm_modul *gsm, int callerpres, char *called);
extern int sim340dz_sms_send_text(struct gsm_modul *gsm, char *destination, char *msg);
extern int sim340dz_sms_send_pdu(struct gsm_modul *gsm, char *pdu);
extern int sim340dz_request_status(struct gsm_modul *gsm);
extern int sim340dz_poweroff(struct gsm_modul *gsm);
extern void sim340dz_restart(void *data);
extern void sim340dz_start(struct gsm_modul *gsm);



#endif

